Home//
REST API Reference
/- Retrieve a company by ID
Create or Update a company
Retrieve companies
Update a company
Delete a company
List attached contacts
List attached segments for companies
List all company notes
Create a company note
Search companies
List all companies
Scroll over all companies
Attach a Contact to a Company
List attached companies for contact
Detach a contact from a company
Company
Retrieve a company by ID
You can fetch a single company.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
- The production API serverhttps://api.intercom.io/companies/{company_id}
- The european API serverhttps://api.eu.intercom.io/companies/{company_id}
- The australian API serverhttps://api.au.intercom.io/companies/{company_id}
curl -i -X GET \
'https://api.intercom.io/companies/5f4d3c1c-7b1b-4d7d-a97e-6095715c6632?type=users&page=1&per_page=50' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'Successful
One of:
Companies allow you to represent organizations using your product. Each company will have its own description and be associated with contacts. You can fetch, create, update and list companies.
The Intercom defined code of the workspace the company is associated to.
Example:"ecahpwf5"
The company id you have defined for the company. Returned HTML-escaped, for example & as &.
Example:"6"
The custom attributes you have set on the company.
Example:
{ "paid_subscriber": true, "monthly_spend": 155.5, "team_mates": 9 }
Always returned empty. Fetch a company's segments with the list attached segments endpoint.
Response
- Company
- Company Users
{ "type": "company", "company_id": "1", "id": "6762f07f1bb69f9f2193baf5", "app_id": "this_is_an_id159_that_should_be_at_least_", "name": "company1", "remote_created_at": 1734537343, "created_at": 1734537343, "updated_at": 1734537343, "monthly_spend": 0, "session_count": 0, "user_count": 1, "tags": { "type": "tag.list", "tags": [] }, "segments": { "type": "segment.list", "segments": [] }, "plan": {}, "custom_attributes": {}, "notes": { "type": "note.list", "data": [], "url": "/companies/6762f07f1bb69f9f2193baf5/notes", "total_count": 0, "has_more": false } }